#### spawn (4 of 7 overloads)

Start a new stackful coroutine that executes on a given executor.

    template<
        typename Function,
        typename Executor>
    void spawn(
        const Executor & ex,
        Function && function,
        const boost::coroutines::attributes & attributes = boost::coroutines::attributes(),
        typename enable_if< is_executor< Executor >::value||execution::is_executor< Executor >::value >::type *  = 0);

This function is used to launch a new coroutine.

###### Parameters

ex

  Identifies the executor that will run the coroutine. The new coroutine is implicitly given its own strand within this executor.

function

  The coroutine function. The function must have the signature:

      void function(yield_context yield);

attributes

  Boost.Coroutine attributes used to customise the coroutine.